'use strict';

customElements.define('compodoc-menu', class extends HTMLElement {
    constructor() {
        super();
        this.isNormalMode = this.getAttribute('mode') === 'normal';
    }

    connectedCallback() {
        this.render(this.isNormalMode);
    }

    render(isNormalMode) {
        let tp = lithtml.html(`
        <nav>
            <ul class="list">
                <li class="title">
                    <a href="index.html" data-type="index-link">angular-data-grid</a>
                </li>

                <li class="divider"></li>
                ${ isNormalMode ? `<div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>` : '' }
                <li class="chapter">
                    <a data-type="chapter-link" href="index.html"><span class="icon ion-ios-home"></span>Getting started</a>
                    <ul class="links">
                        <li class="link">
                            <a href="overview.html" data-type="chapter-link">
                                <span class="icon ion-ios-keypad"></span>Overview
                            </a>
                        </li>
                        <li class="link">
                            <a href="index.html" data-type="chapter-link">
                                <span class="icon ion-ios-paper"></span>README
                            </a>
                        </li>
                        <li class="link">
                            <a href="changelog.html"  data-type="chapter-link">
                                <span class="icon ion-ios-paper"></span>CHANGELOG
                            </a>
                        </li>
                        <li class="link">
                            <a href="license.html"  data-type="chapter-link">
                                <span class="icon ion-ios-paper"></span>LICENSE
                            </a>
                        </li>
                                <li class="link">
                                    <a href="dependencies.html" data-type="chapter-link">
                                        <span class="icon ion-ios-list"></span>Dependencies
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="properties.html" data-type="chapter-link">
                                        <span class="icon ion-ios-apps"></span>Properties
                                    </a>
                                </li>
                    </ul>
                </li>
                    <li class="chapter modules">
                        <a data-type="chapter-link" href="modules.html">
                            <div class="menu-toggler linked" data-bs-toggle="collapse" ${ isNormalMode ?
                                'data-bs-target="#modules-links"' : 'data-bs-target="#xs-modules-links"' }>
                                <span class="icon ion-ios-archive"></span>
                                <span class="link-name">Modules</span>
                                <span class="icon ion-ios-arrow-down"></span>
                            </div>
                        </a>
                        <ul class="links collapse " ${ isNormalMode ? 'id="modules-links"' : 'id="xs-modules-links"' }>
                            <li class="link">
                                <a href="modules/DataGridModule.html" data-type="entity-link" >DataGridModule</a>
                                    <li class="chapter inner">
                                        <div class="simple menu-toggler" data-bs-toggle="collapse" ${ isNormalMode ?
                                            'data-bs-target="#components-links-module-DataGridModule-89cf34698e475fa4fed6296d787e743f1da58516787aaa788feef8fd1b8c171c03f5d96f2e4b666026d213f88551ed6f53cd44138565da8ddeb41de027c73d1a"' : 'data-bs-target="#xs-components-links-module-DataGridModule-89cf34698e475fa4fed6296d787e743f1da58516787aaa788feef8fd1b8c171c03f5d96f2e4b666026d213f88551ed6f53cd44138565da8ddeb41de027c73d1a"' }>
                                            <span class="icon ion-md-cog"></span>
                                            <span>Components</span>
                                            <span class="icon ion-ios-arrow-down"></span>
                                        </div>
                                        <ul class="links collapse" ${ isNormalMode ? 'id="components-links-module-DataGridModule-89cf34698e475fa4fed6296d787e743f1da58516787aaa788feef8fd1b8c171c03f5d96f2e4b666026d213f88551ed6f53cd44138565da8ddeb41de027c73d1a"' :
                                            'id="xs-components-links-module-DataGridModule-89cf34698e475fa4fed6296d787e743f1da58516787aaa788feef8fd1b8c171c03f5d96f2e4b666026d213f88551ed6f53cd44138565da8ddeb41de027c73d1a"' }>
                                            <li class="link">
                                                <a href="components/DataGridComponent.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >DataGridComponent</a>
                                            </li>
                                        </ul>
                                    </li>
                                <li class="chapter inner">
                                    <div class="simple menu-toggler" data-bs-toggle="collapse" ${ isNormalMode ?
                                        'data-bs-target="#directives-links-module-DataGridModule-89cf34698e475fa4fed6296d787e743f1da58516787aaa788feef8fd1b8c171c03f5d96f2e4b666026d213f88551ed6f53cd44138565da8ddeb41de027c73d1a"' : 'data-bs-target="#xs-directives-links-module-DataGridModule-89cf34698e475fa4fed6296d787e743f1da58516787aaa788feef8fd1b8c171c03f5d96f2e4b666026d213f88551ed6f53cd44138565da8ddeb41de027c73d1a"' }>
                                        <span class="icon ion-md-code-working"></span>
                                        <span>Directives</span>
                                        <span class="icon ion-ios-arrow-down"></span>
                                    </div>
                                    <ul class="links collapse" ${ isNormalMode ? 'id="directives-links-module-DataGridModule-89cf34698e475fa4fed6296d787e743f1da58516787aaa788feef8fd1b8c171c03f5d96f2e4b666026d213f88551ed6f53cd44138565da8ddeb41de027c73d1a"' :
                                        'id="xs-directives-links-module-DataGridModule-89cf34698e475fa4fed6296d787e743f1da58516787aaa788feef8fd1b8c171c03f5d96f2e4b666026d213f88551ed6f53cd44138565da8ddeb41de027c73d1a"' }>
                                        <li class="link">
                                            <a href="directives/DataGridCellDefDirective.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >DataGridCellDefDirective</a>
                                        </li>
                                        <li class="link">
                                            <a href="directives/DataGridEditCellDefDirective.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >DataGridEditCellDefDirective</a>
                                        </li>
                                        <li class="link">
                                            <a href="directives/DataGridHeaderCellDefDirective.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >DataGridHeaderCellDefDirective</a>
                                        </li>
                                        <li class="link">
                                            <a href="directives/DataGridRowDefDirective.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >DataGridRowDefDirective</a>
                                        </li>
                                    </ul>
                                </li>
                            </li>
                </ul>
                </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-bs-toggle="collapse" ${ isNormalMode ? 'data-bs-target="#components-links"' :
                            'data-bs-target="#xs-components-links"' }>
                            <span class="icon ion-md-cog"></span>
                            <span>Components</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? 'id="components-links"' : 'id="xs-components-links"' }>
                            <li class="link">
                                <a href="components/DataGridComponent.html" data-type="entity-link" >DataGridComponent</a>
                            </li>
                        </ul>
                    </li>
                        <li class="chapter">
                            <div class="simple menu-toggler" data-bs-toggle="collapse" ${ isNormalMode ? 'data-bs-target="#directives-links"' :
                                'data-bs-target="#xs-directives-links"' }>
                                <span class="icon ion-md-code-working"></span>
                                <span>Directives</span>
                                <span class="icon ion-ios-arrow-down"></span>
                            </div>
                            <ul class="links collapse " ${ isNormalMode ? 'id="directives-links"' : 'id="xs-directives-links"' }>
                                <li class="link">
                                    <a href="directives/DataGridCellDefDirective.html" data-type="entity-link" >DataGridCellDefDirective</a>
                                </li>
                                <li class="link">
                                    <a href="directives/DataGridEditCellDefDirective.html" data-type="entity-link" >DataGridEditCellDefDirective</a>
                                </li>
                                <li class="link">
                                    <a href="directives/DataGridHeaderCellDefDirective.html" data-type="entity-link" >DataGridHeaderCellDefDirective</a>
                                </li>
                                <li class="link">
                                    <a href="directives/DataGridRowDefDirective.html" data-type="entity-link" >DataGridRowDefDirective</a>
                                </li>
                            </ul>
                        </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-bs-toggle="collapse" ${ isNormalMode ? 'data-bs-target="#interfaces-links"' :
                            'data-bs-target="#xs-interfaces-links"' }>
                            <span class="icon ion-md-information-circle-outline"></span>
                            <span>Interfaces</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? ' id="interfaces-links"' : 'id="xs-interfaces-links"' }>
                            <li class="link">
                                <a href="interfaces/DataGridCellDefDirectiveContext.html" data-type="entity-link" >DataGridCellDefDirectiveContext</a>
                            </li>
                            <li class="link">
                                <a href="interfaces/DataGridEditCellDefDirectiveContext.html" data-type="entity-link" >DataGridEditCellDefDirectiveContext</a>
                            </li>
                            <li class="link">
                                <a href="interfaces/DataGridHeaderCellDefDirectiveContext.html" data-type="entity-link" >DataGridHeaderCellDefDirectiveContext</a>
                            </li>
                        </ul>
                    </li>
                        <li class="chapter">
                            <div class="simple menu-toggler" data-bs-toggle="collapse" ${ isNormalMode ? 'data-bs-target="#pipes-links"' :
                                'data-bs-target="#xs-pipes-links"' }>
                                <span class="icon ion-md-add"></span>
                                <span>Pipes</span>
                                <span class="icon ion-ios-arrow-down"></span>
                            </div>
                            <ul class="links collapse " ${ isNormalMode ? 'id="pipes-links"' : 'id="xs-pipes-links"' }>
                                <li class="link">
                                    <a href="pipes/DataGridValuePipe.html" data-type="entity-link" >DataGridValuePipe</a>
                                </li>
                                <li class="link">
                                    <a href="pipes/IsEmptyPipe.html" data-type="entity-link" >IsEmptyPipe</a>
                                </li>
                            </ul>
                        </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-bs-toggle="collapse" ${ isNormalMode ? 'data-bs-target="#miscellaneous-links"'
                            : 'data-bs-target="#xs-miscellaneous-links"' }>
                            <span class="icon ion-ios-cube"></span>
                            <span>Miscellaneous</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? 'id="miscellaneous-links"' : 'id="xs-miscellaneous-links"' }>
                            <li class="link">
                                <a href="miscellaneous/enumerations.html" data-type="entity-link">Enums</a>
                            </li>
                            <li class="link">
                                <a href="miscellaneous/functions.html" data-type="entity-link">Functions</a>
                            </li>
                        </ul>
                    </li>
                    <li class="divider"></li>
                    <li class="copyright">
                        Documentation generated using <a href="https://compodoc.app/" target="_blank" rel="noopener noreferrer">
                            <img data-src="images/compodoc-vectorise.png" class="img-responsive" data-type="compodoc-logo">
                        </a>
                    </li>
            </ul>
        </nav>
        `);
        this.innerHTML = tp.strings;
    }
});